export declare type ControllerTemplateArgs = {
    httpMethod: string;
    expressPath: string;
    requestTypeName: string;
    responseTypeName: string;
    controllerTypeName: string;
    controllerMethodName: string;
    pathParamsType?: string;
    bodyParamType?: string;
    queryParamsType?: string;
    responseTypes?: {
        bodyType?: string;
        statusCodeType?: string;
    }[];
};
export declare const controllerTemplate: ({ requestTypeName, responseTypeName, controllerTypeName, controllerMethodName, pathParamsType, bodyParamType, queryParamsType, responseTypes }: ControllerTemplateArgs) => string;
